﻿using Infragistics.Win.UltraWinGanttView;
using Infragistics.Win.UltraWinSchedule;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraGanttView
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Project quarterlyProject = this.ultraCalendarInfo1.Projects.Add("QuartlerlyProject", DateTime.Today);
            quarterlyProject.Key = "projkey1";

            Task requirementsTask = this.ultraCalendarInfo1.Tasks.Add(DateTime.Today, TimeSpan.FromDays(5), "Requirements", "projkey1");
            Task budgetTask = requirementsTask.Tasks.Add(DateTime.Today, TimeSpan.FromDays(2), "Budget Analysis");
            budgetTask.Deadline = DateTime.Today.AddDays(3);

            this.ultraGanttView1.CalendarInfo = this.ultraCalendarInfo1;
            this.ultraGanttView1.Project = this.ultraGanttView1.CalendarInfo.Projects[1];




            // TimeInterval オブジェクトを定義し、Interval および IntervalUnits を Primary 間隔を設定するパラメーターとして渡します
            TimeInterval ganttTimeInterval = new TimeInterval(30, TimeIntervalUnits.Minutes);
            this.ultraGanttView1.TimelineSettings.PrimaryInterval = ganttTimeInterval;
            ganttTimeInterval.HeaderAppearance.BackColor = Color.Silver;
            ganttTimeInterval.HeaderTextFormat = "T";
            ganttTimeInterval.HeaderTextFormatStyle = TimelineViewHeaderTextFormatStyle.FullRange;
            // DateInterval オブジェクトを定義し、Interval および IntervalUnits を追加の間隔を設定するパラメーターとして渡します
            DateInterval ganttAddInterval1 = new DateInterval(1, DateIntervalUnits.Days);
            this.ultraGanttView1.TimelineSettings.AdditionalIntervals.Add(ganttAddInterval1);
            ganttAddInterval1.HeaderTextFormat = "dddd";
            this.ultraGanttView1.TimelineSettings.WorkingHourAppearance.BackColor = Color.LightBlue;
            this.ultraGanttView1.TimelineSettings.NonWorkingHourAppearance.BackColor = Color.BlanchedAlmond;
            this.ultraGanttView1.TimelineSettings.ColumnAutoSizing = TimelineViewColumnAutoSizing.PrimaryIntervalOnly;
            this.ultraGanttView1.TimelineSettings.ColumnWidth = 180;
        }

    }
}
